echo   OFF
TITLE Take Control of Your Acer Iconia Tab A200!
cls
:main
echo   ***************************************************************************
echo   *                                                                         *
echo   *                    ACER ICONIA TAB A200 SimpleTools                     *
echo   *                                                                         *
echo   ***************************************************************************
echo   *                                                                         *
echo   *             Please make sure you meet these pre-requisites:             *
echo   *                                                                         *
echo   *        (a) you should have the required drivers download from Acer      *
echo   *                     and installed before proceeding!                    *
echo   *                                                                         *
echo   *                                                                         *
echo   *                                                                         *
echo   *                                                                         *
echo   *       Are you ready to take control of your Acer A200 Iconia Tab?       *
echo   ***************************************************************************
echo   *                                                                         *
echo   *           Do you know you have the requried drivers installed?          *
echo   *                                                                         *
echo   *                                1. yes                                   *
echo   *                                2. no                                    *
echo   *                                3. I don't know!                         *
echo   *                                4. exit                                  *
echo   ***************************************************************************
set /p menu=))
if not defined menu goto main
if %menu%==1 (goto Yes)
if %menu%==2 (goto NO)
if %menu%==3 (goto NO)
if %menu%==4 (exit)
:Yes
echo   ***************************************************************************
echo   *                                                                         *
echo   *                                                                         *
echo   *                        OK what do you want to do?                       *
echo   *                                                                         *
echo   *                          1.unlock bootloader...                         *
echo   *                          2. root device only...                         *
echo   *                  3. install ClockWorkMod Recovery only...               *
echo   *             4. root device and install ClockWorkMod Recovery...         *
echo   ***************************************************************************
set /p menu=))
if not defined menu goto main
if %menu%==1 (goto Unlock)
if %menu%==2 (goto Root)
if %menu%==3 (goto Recovery)
if %menu%==4 (goto Both)
:No
echo   *                     checking the for the ADB driver...                  *
echo   *       device will reboot once ADB driver is installed and confirmed!    *
adb wait-for-device
adb reboot-bootloader
echo   *   device rebooting into fastboot mode so that Windows can install the   *
echo   *                             fastboot driver                             *
echo   *   device should reboot automaticly once fastboot drivers are installed  *
echo   *                             and confirmed...                            *
echo   *                                                                         *
fastboot reboot
adb wait-for-device
echo   *      Windows drivers have been confirmed returning to main menu...      *
echo   ***************************************************************************
ping -n 6 127.0.0.1 > nul
goto main
:Unlock
adb wait-for-device
adb reboot-bootloader
echo   *            device rebooting and requsting unlock options!               *
fastboot oem unlock
echo   *           please select the unlock function on your device!             *
echo   * after you make your choice and the A200 says reboot just press any key  *
echo   *                      here and I'll reboot it..                          *
PAUSE
fastboot reboot
echo   *                    device rebooting please wait...                      *
cls
goto Yes
:Root
echo   ***************************************************************************
echo   *                     is the bootloder unlocked?                          *
echo   *                                1. no                                    *
echo   *                                2. yes                                   *
set /p menu=))
if not defined menu goto main
if %menu%==1 (goto Unlock)
if %menu%==2 (
echo   *                   rebooting device into bootloader...                   *
echo   *        flashing custom kernel that allows for read/write mount...       *        
adb wait-for-device
adb reboot-bootloader
fastboot flash boot boot.img
fastboot reboot
echo   *                  device rebooting again please wait...                  *
adb wait-for-device
echo   *                    sending mempodroid to tablet...                      *
adb push mempodroid /data/local
echo   *                setting permissions on mempodroid file...                *
adb shell chmod 777 /data/local/mempodroid
echo   *                   executing exploit for root access!                    *
adb shell /data/local/mempodroid 0xd9f0 0xaf47 mount -o rw,remount -t yaffs2 /dev/block/mtdblock3 /system
echo   *                   writing SU binary to /system/bin...                   *
adb push su /data/local
adb shell chmod 777 /data/local/su
adb shell /data/local/mempodroid 0xd9f0 0xaf47 dd if=/data/local/su of=/system/bin/su
adb shell /data/local/mempodroid 0xd9f0 0xaf47 chmod 6755 /system/bin/su
echo   *                      installing Superuser app...                        *
adb install Superuser.apk
adb reboot
echo   *                              SUCCESSFUL!                                *
echo   ***************************************************************************
ping -n 10 127.0.0.1 > nul)
goto main
:Both
echo   ***************************************************************************
echo   *                     is the bootloder unlocked?                          *
echo   *                                1. no                                    *
echo   *                                2. yes                                   *
set /p menu=))
if not defined menu goto main
if %menu%==1 (goto Unlock)
if %menu%==2 (
echo   *                   rebooting device into bootloader...                   *
echo   *        flashing custom kernel that allows for read/write mount...       *        
adb wait-for-device
adb reboot-bootloader
fastboot flash boot boot.img
echo   *                 flashing ClockWorkMod Custom Recovery...                *
fastboot flash recovery recovery.img
fastboot reboot
echo   *                  device rebooting again please wait...                  *
adb wait-for-device
echo   *                    sending mempodroid to tablet...                      *
adb push mempodroid /data/local
echo   *                setting permissions on mempodroid file...                *
adb shell chmod 777 /data/local/mempodroid
echo   *                   executing exploit for root access!                    *
adb shell /data/local/mempodroid 0xd9f0 0xaf47 mount -o rw,remount -t yaffs2 /dev/block/mtdblock3 /system
echo   *                   writing SU binary to /system/bin...                   *
adb push su /data/local
adb shell chmod 777 /data/local/su
adb shell /data/local/mempodroid 0xd9f0 0xaf47 dd if=/data/local/su of=/system/bin/su
adb shell /data/local/mempodroid 0xd9f0 0xaf47 chmod 6755 /system/bin/su
echo   *                      installing Superuser app...                        *
echo   *                                                                         *
adb install Superuser.apk
adb reboot
echo   *                              SUCCESSFUL!                                *
echo   ***************************************************************************
ping -n 10 127.0.0.1 > nul)
goto main
:Recovery
echo   ***************************************************************************
echo   *                     is the bootloder unlocked?                          *
echo   *                                1. no                                    *
echo   *                                2. yes                                   *
set /p menu=))
if not defined menu goto main
if %menu%==1 (goto Unlock)
if %menu%==2 (
echo   *                   rebooting device into bootloader...                   *
adb wait-for-device
adb reboot-bootloader
echo   *                 flashing ClockWorkMod Custom Recovery...                *
fastboot flash recovery recovery.img
fastboot reboot
echo   *                    device rebooting please wait...                      *
echo   *                                                                         *
echo   *                              SUCCESSFUL!                                *
echo   ***************************************************************************
ping -n 10 127.0.0.1 > nul)
goto main



